> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Past 24 Hour Trades by Pool Address

> To query the last 300 trades in the past 24 hours based on the provided pool address

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<CacheInfo paidRate={0} publicRate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.onchain.networks.pools.trades.get('0x06da0fd433c1a5d7a4faa01111c044910a184553', {
    network: 'eth',
  });

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.onchain.networks.pools.trades.get(
    "0x06da0fd433c1a5d7a4faa01111c044910a184553",
    network="eth",
  )

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /onchain/networks/{network}/pools/{pool_address}/trades
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /onchain/networks/{network}/pools/{pool_address}/trades:
    get:
      summary: Past 24 Hour Trades by Pool Address
      description: >-
        To query the last 300 trades in the past 24 hours based on the provided
        pool address
      operationId: pool-trades-contract-address
      parameters:
        - name: network
          in: path
          required: true
          description: |-
            Network ID. 
            *refers to [`/onchain/networks`](/reference/networks-list).
          schema:
            type: string
            default: eth
        - name: pool_address
          in: path
          required: true
          description: Pool contract address.
          schema:
            type: string
            default: '0x06da0fd433c1a5d7a4faa01111c044910a184553'
        - name: trade_volume_in_usd_greater_than
          in: query
          required: false
          description: |-
            Filter trades by trade volume in USD greater than this value. 
            Default value: 0
          schema:
            type: number
        - name: token
          in: query
          required: false
          description: |-
            Return trades for token, use this to invert the chart. 
            Available values: `base`, `quote`, or token address. 
            Default: `base`
          schema:
            type: string
      responses:
        '200':
          description: Last 300 trades in past 24 hours from a pool
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Trades'
              example:
                data:
                  - id: >-
                      eth_25191329_0x90a746e28f4db27b2595b8ac55ef999914ed09453d5924b1424b2c050fd053c3_99_1779941075
                    type: trade
                    attributes:
                      block_number: 25191329
                      tx_hash: >-
                        0x90a746e28f4db27b2595b8ac55ef999914ed09453d5924b1424b2c050fd053c3
                      tx_from_address: '0x0b0d1579b739b1996d28c53c4ff11e2c541a1188'
                      from_token_amount: '0.106968578509495'
                      to_token_amount: '211.331589'
                      price_from_in_currency_token: '1.0'
                      price_to_in_currency_token: '0.000506164643987487'
                      price_from_in_usd: '1976.18881048696'
                      price_to_in_usd: '1.00027690571219'
                      block_timestamp: '2026-05-28T04:04:11Z'
                      kind: buy
                      volume_in_usd: '211.39010792416'
                      from_token_address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
                      to_token_address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                  - id: >-
                      eth_25191103_0x8c7d19881344e94e69f69f44a3910a32183652b84156537ec23313bfa01ff054_804_1779938350
                    type: trade
                    attributes:
                      block_number: 25191103
                      tx_hash: >-
                        0x8c7d19881344e94e69f69f44a3910a32183652b84156537ec23313bfa01ff054
                      tx_from_address: '0x39b9a705f5aa2fdf315bf5cc8ecd71dc821f45b1'
                      from_token_amount: '192.459164'
                      to_token_amount: '0.096413761161719'
                      price_from_in_currency_token: '0.000500956977874636'
                      price_to_in_currency_token: '1.0'
                      price_from_in_usd: '0.992388076121959'
                      price_to_in_usd: '1980.98463531194'
                      block_timestamp: '2026-05-28T03:18:47Z'
                      kind: sell
                      volume_in_usd: '190.994179494001'
                      from_token_address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                      to_token_address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
components:
  schemas:
    Trades:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - attributes
            properties:
              id:
                type: string
                description: Trade identifier
              type:
                type: string
                description: Resource type
              attributes:
                type: object
                required:
                  - block_number
                  - tx_hash
                  - tx_from_address
                  - from_token_amount
                  - to_token_amount
                  - price_from_in_currency_token
                  - price_to_in_currency_token
                  - price_from_in_usd
                  - price_to_in_usd
                  - block_timestamp
                  - kind
                  - volume_in_usd
                  - from_token_address
                  - to_token_address
                properties:
                  block_number:
                    type: integer
                    description: Block number of the trade
                  tx_hash:
                    type: string
                    description: Transaction hash
                  tx_from_address:
                    type: string
                    description: Transaction sender address
                  from_token_amount:
                    type: string
                    description: Amount of token sent
                  to_token_amount:
                    type: string
                    description: Amount of token received
                  price_from_in_currency_token:
                    type: string
                    description: Price of from-token in currency token
                  price_to_in_currency_token:
                    type: string
                    description: Price of to-token in currency token
                  price_from_in_usd:
                    type: string
                    description: Price of from-token in USD
                  price_to_in_usd:
                    type: string
                    description: Price of to-token in USD
                  block_timestamp:
                    type: string
                    description: Block timestamp
                  kind:
                    type: string
                    description: Trade kind (buy or sell)
                  volume_in_usd:
                    type: string
                    description: Trade volume in USD
                  from_token_address:
                    type: string
                    description: From-token contract address
                  to_token_address:
                    type: string
                    description: To-token contract address
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````